package App::MakeWorld::Status;

use strict;
use warnings;

our $VERSION = 'v2.5.8';

use YAML::Tiny ();
use App::MakeWorld::Log;

#----------------------------------------------------------------#
# load/save status file.


sub load {
    my ( $statusfile ) = @_;

    log_info( "Loading build status from $statusfile" );

    return YAML::Tiny::LoadFile( $statusfile );
}


sub save {
    my ( $statusfile, $status ) = @_;

    log_info( "Saving build status to $statusfile" );

    YAML::Tiny::DumpFile( $statusfile, $status );
}


1;

__END__

=pod

=for :stopwords Diab Jerius Smithsonian Astrophysical Observatory

=head1 NAME

App::MakeWorld::Status

=head1 VERSION

version v2.5.8

=head1 SEE ALSO

Please see those modules/websites for more information related to this module.

=over 4

=item *

L<bin::make-world|bin::make-world>

=back

=head1 AUTHOR

Diab Jerius <djerius@cfa.harvard.edu>

=head1 COPYRIGHT AND LICENSE

This software is Copyright (c) 2018 by Smithsonian Astrophysical Observatory.

This is free software, licensed under:

  The GNU General Public License, Version 3, June 2007

=cut
